---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libhs202t002.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50800, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52740, symBinAddr: 0xE150, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52B30, symBinAddr: 0xE540, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53AD0, symBinAddr: 0xF4E0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53AE0, symBinAddr: 0xF4F0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50480, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50484, symBinAddr: 0xC0D4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50488, symBinAddr: 0xC0D8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x505E0, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50698, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5069C, symBinAddr: 0xC19C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x506A0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x506A4, symBinAddr: 0xC1A4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x506A8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x506B0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x506C8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x506D0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x506D8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x506E0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x506E8, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL20thread_suspend_error, symObjAddr: 0x5072A, symBinAddr: 0xC1FA, symSize: 0x0 }
  - { offsetInCU: 0x90F9, offset: 0x90F9, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50730, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x914B, offset: 0x914B, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3910, symSize: 0x80 }
  - { offsetInCU: 0x91E0, offset: 0x91E0, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3860, symSize: 0xB0 }
  - { offsetInCU: 0x923B, offset: 0x923B, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3760, symSize: 0x100 }
  - { offsetInCU: 0x94CE, offset: 0x94CE, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3990, symSize: 0xC0 }
  - { offsetInCU: 0x9520, offset: 0x9520, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3A50, symSize: 0x220 }
  - { offsetInCU: 0x9705, offset: 0x9705, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3C70, symSize: 0xA0 }
  - { offsetInCU: 0x97B8, offset: 0x97B8, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3D10, symSize: 0x110 }
  - { offsetInCU: 0x98AE, offset: 0x98AE, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3E20, symSize: 0x150 }
  - { offsetInCU: 0x99DF, offset: 0x99DF, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3F70, symSize: 0x30 }
  - { offsetInCU: 0x9ACC, offset: 0x9ACC, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3FA0, symSize: 0x150 }
  - { offsetInCU: 0x9CC4, offset: 0x9CC4, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x40F0, symSize: 0x160 }
  - { offsetInCU: 0x9F84, offset: 0x9F84, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x4250, symSize: 0x4A0 }
  - { offsetInCU: 0xA21D, offset: 0xA21D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x46F0, symSize: 0x1B0 }
  - { offsetInCU: 0xA438, offset: 0xA438, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x48A0, symSize: 0xA0 }
  - { offsetInCU: 0xA55F, offset: 0xA55F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_redefineClass, symObjAddr: 0x2C40, symBinAddr: 0x4940, symSize: 0x2D0 }
  - { offsetInCU: 0xA841, offset: 0xA841, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4C10, symSize: 0x20 }
  - { offsetInCU: 0xA878, offset: 0xA878, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4C30, symSize: 0x20 }
  - { offsetInCU: 0xA8AF, offset: 0xA8AF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4C50, symSize: 0x20 }
  - { offsetInCU: 0xAAA2, offset: 0xAAA2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4C70, symSize: 0x1A0 }
  - { offsetInCU: 0xADC8, offset: 0xADC8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4E10, symSize: 0x80 }
  - { offsetInCU: 0xAE91, offset: 0xAE91, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4E90, symSize: 0x6A0 }
  - { offsetInCU: 0xBA26, offset: 0xBA26, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA050, symBinAddr: 0x6070, symSize: 0xB0 }
  - { offsetInCU: 0xBA9D, offset: 0xBA9D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5530, symSize: 0x70 }
  - { offsetInCU: 0xBB59, offset: 0xBB59, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x55A0, symSize: 0xA0 }
  - { offsetInCU: 0xBC90, offset: 0xBC90, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5640, symSize: 0x40 }
  - { offsetInCU: 0xBD86, offset: 0xBD86, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5680, symSize: 0x2B0 }
  - { offsetInCU: 0xC12C, offset: 0xC12C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5930, symSize: 0xC0 }
  - { offsetInCU: 0xC272, offset: 0xC272, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x59F0, symSize: 0x10 }
  - { offsetInCU: 0xC334, offset: 0xC334, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5A00, symSize: 0x220 }
  - { offsetInCU: 0xC631, offset: 0xC631, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5C20, symSize: 0x10 }
  - { offsetInCU: 0xC68E, offset: 0xC68E, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5C30, symSize: 0x130 }
  - { offsetInCU: 0xC8D9, offset: 0xC8D9, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D40, symBinAddr: 0x5D60, symSize: 0x10 }
  - { offsetInCU: 0xC970, offset: 0xC970, size: 0x8, addend: 0x0, symName: _callbackMethodExit, symObjAddr: 0x9D50, symBinAddr: 0x5D70, symSize: 0x160 }
  - { offsetInCU: 0xCBE5, offset: 0xCBE5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS202_hs202t002_hs202t002_popThreadFrame, symObjAddr: 0x9EB0, symBinAddr: 0x5ED0, symSize: 0xA0 }
  - { offsetInCU: 0xCD4E, offset: 0xCD4E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS202_hs202t002_hs202t002_resumeThread, symObjAddr: 0x9F50, symBinAddr: 0x5F70, symSize: 0x90 }
  - { offsetInCU: 0xCEB6, offset: 0xCEB6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS202_hs202t002_hs202t002_isThreadSuspended, symObjAddr: 0x9FE0, symBinAddr: 0x6000, symSize: 0x70 }
  - { offsetInCU: 0xCFDA, offset: 0xCFDA, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA100, symBinAddr: 0x6120, symSize: 0x36A }
...
